<template>
  <div class="resultado"  v-on:click="goDescription">
    <div class="resultado_main">
        <div class="resultado_main_imagen" v-bind:style="{ 'background-image': 'url(' + producto.thumbnail + ')' }"></div>
        <div class="resultado_main_contenido">
          <div class="resultado_main_contenido_cabecera">
            <h3 class="resultado_main_contenido_cabecera-precio">
              <label class="resultado_main_contenido_cabecera-precio_texto">$ {{ producto.price }}</label>
              <img v-if="producto.shipping.free_shipping" class="resultado_main_contenido_cabecera-precio_envio" src="../assets/ic_shipping.png"/>
            </h3>
            <h5 class="resultado_main_contenido_cabecera-localidad">{{ producto.address.state_name}}</h5>
          </div>
          <p class="resultado_main_contenido-descripcion">{{ producto.title }}</p>
        </div>
    </div>
    <div class="resultado_borde"></div>
  </div>
</template>

<script>
export default {
  name: 'Resultado',
  props: {
    producto: Object
  },
  methods: {
    goDescription: function (event) {
      alert('ID:' + this.producto.id);
      window.location.href = "/items/"+this.producto.id;
    }
  }
}
</script>

<style lang="scss">
@import "../styles/main.scss";
  .resultado{
    background-color: $white;
    margin: 0 8.33%;
    cursor: pointer;
    &_main {
      color: $dark-gray;
      display: grid;
      grid-template-columns: 180px auto;
      grid-template-rows: 100%;
      grid-column-gap: 16px;
      padding: 16px;
      &_imagen {
          background: url(../assets/iphone.jpeg) 50% 50% no-repeat;
          border-radius: 4px;
          width: 180px;
          height: 180px;
      }
      &_contenido {
        text-align: left;
        display: grid;
        grid-template-columns: 80% 20%;
        grid-column-gap: 15px;
        grid-row-gap: 32px;
        grid-auto-rows: minmax(min-content, max-content);
        padding: 16px 0;
        &_cabecera{
          grid-column-start: 1;
          grid-column-end: 3;
          display: grid;
          grid-template-columns: 80% 20%;
          grid-column-gap: 15px;
          grid-auto-rows: minmax(min-content, max-content);
          &-precio{
            font-size: 24px;
            &_texto{              
            }
            &_envio{
              margin-left: 16px;
            }
          }
          &-localidad{
            font-size: 12px;                
            display: flex;
            align-self: end;
          }
        }      
        &-descripcion{
          font-size: 18px;
          margin: 0;
        }
      }
    }
    &_borde{    
      background-color: $white;
      border-bottom: solid 1px $light-gray;   
      margin: 0 16px;
    }
  }
</style>
